NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::BoundingObjectBuilder Class Reference

Represents a NXOpen::GeometricUtilities::BoundingObjectBuilder. More...

Inheritance diagram for NXOpen::GeometricUtilities::BoundingObjectBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Method {
  MethodExistingCurve, MethodProjectPoint, MethodLineBy2Points, MethodPointAndVector,
  MethodByPlane
}
 Represents Bounding Object option types. More...
 

Public Member Functions

NXOpen::SelectDisplayableObjectBoundingCurve ()
 Returns the existing bounding curve. More...
 
NXOpen::GeometricUtilities::BoundingObjectBuilder::Method BoundingObjectMethod ()
 Returns the bounding object method
Created in NX7.5.1. More...
 
NXOpen::PlaneBoundingPlane ()
 Returns the bounding plane. More...
 
NXOpen::PointBoundingPoint ()
 Returns the bounding point. More...
 
NXOpen::PointBoundingPoint1 ()
 Returns the bounding point1. More...
 
NXOpen::PointBoundingPoint2 ()
 Returns the bounding point2. More...
 
NXOpen::PointBoundingProjectPoint ()
 Returns the bounding project point. More...
 
NXOpen::DirectionBoundingVector ()
 Returns the bounding vector. More...
 
NXOpen::PointIntersectionReference ()
 Returns the intersection reference
Created in NX7.5.1. More...
 
void SetBoundingObjectMethod (NXOpen::GeometricUtilities::BoundingObjectBuilder::Method boundingObjectMethod)
 Sets the bounding object method
Created in NX7.5.1. More...
 
void SetBoundingPlane (NXOpen::Plane *plane)
 Sets the bounding plane. More...
 
void SetBoundingPoint (NXOpen::Point *point)
 Sets the bounding point. More...
 
void SetBoundingPoint1 (NXOpen::Point *point1)
 Sets the bounding point1. More...
 
void SetBoundingPoint2 (NXOpen::Point *point2)
 Sets the bounding point2. More...
 
void SetBoundingProjectPoint (NXOpen::Point *projectPoint)
 Sets the bounding project point. More...
 
void SetBoundingVector (NXOpen::Direction *vector)
 Sets the bounding vector. More...
 
void SetIntersectionReference (NXOpen::Point *intersectionReference)
 Sets the intersection reference
Created in NX7.5.1. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricUtilities::BoundingObjectBuilder.


Created in NX7.5.1.

Member Enumeration Documentation

Represents Bounding Object option types.

Enumerator
MethodExistingCurve 

Existing Curve.

MethodProjectPoint 

Project Point.

MethodLineBy2Points 

Line by 2 Points.

MethodPointAndVector 

Point and Vector.

MethodByPlane 

By Plane.

Member Function Documentation

NXOpen::SelectDisplayableObject* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingCurve ( )

Returns the existing bounding curve.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodExistingCurve
Created in NX7.5.1.

License requirements : None

NXOpen::GeometricUtilities::BoundingObjectBuilder::Method NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingObjectMethod ( )

Returns the bounding object method
Created in NX7.5.1.



License requirements : None

NXOpen::Plane* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPlane ( )

Returns the bounding plane.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodByPlane
Created in NX7.5.1.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint ( )

Returns the bounding point.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint1 ( )

Returns the bounding point1.

This represents first bounding point. This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint2 ( )

Returns the bounding point2.

This represents second bounding point. This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingProjectPoint ( )

Returns the bounding project point.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodProjectPoint
Created in NX7.5.1.

License requirements : None

NXOpen::Direction* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingVector ( )

Returns the bounding vector.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::IntersectionReference ( )

Returns the intersection reference
Created in NX7.5.1.



License requirements : None

void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingObjectMethod ( NXOpen::GeometricUtilities::BoundingObjectBuilder::Method  boundingObjectMethod)

Sets the bounding object method
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
boundingObjectMethodboundingobjectmethod
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPlane ( NXOpen::Plane plane)

Sets the bounding plane.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodByPlane
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
planeplane
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint ( NXOpen::Point point)

Sets the bounding point.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
pointpoint
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint1 ( NXOpen::Point point1)

Sets the bounding point1.

This represents first bounding point. This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
point1point1
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint2 ( NXOpen::Point point2)

Sets the bounding point2.

This represents second bounding point. This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
point2point2
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingProjectPoint ( NXOpen::Point projectPoint)

Sets the bounding project point.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodProjectPoint
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
projectPointprojectpoint
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingVector ( NXOpen::Direction vector)

Sets the bounding vector.

This is applicable for NXOpen::GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
vectorvector
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetIntersectionReference ( NXOpen::Point intersectionReference)

Sets the intersection reference
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
intersectionReferenceintersectionreference
virtual bool NXOpen::GeometricUtilities::BoundingObjectBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.